Patch your heart

The discovery of heartbleed bug in OpenSSL has shocked the much of the tech world with its security implications. It is simple to exploit and can yield valuable secret information to a hacker. It affects all secure connections such as SSL certificates, TLS connections (for mail) and so on. So as an internet user, what can you do? If you are using the following browsers, you can install the extensions to check if the site you are accessing is vulnerable. Chrome: Chrome Bleed Extension Firefox: Heartbleed Checker At hostrs.com we have already patched our servers and VPS of our clients wherever we have access. Please make sure your VPS / dedicated servers are updated or contact us for help, if required.